Last Comment Bug 649350 - Cleanup/reorganize the HUDService observers and listeners
: Cleanup/reorganize the HUDService observers and listeners
Status: RESOLVED FIXED
[fixed by bug 673148]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Mihai Sucan [:msucan]
:
:
Mentors:
Depends on: async-webconsole
Blocks: consolecleanup
  Show dependency treegraph
 
Reported: 2011-04-12 08:32 PDT by Mihai Sucan [:msucan]
Modified: 2012-06-02 03:59 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mihai Sucan [:msucan] 2011-04-12 08:32:45 PDT
Follow up from bug 620832 comment 11 and 12:

"It seems wrong that the ConsoleAPIObserver (a completely separate object) is
responsible for shutting down the HUDService (i.e. calling
HUDService.shutdown()). It also seems wrong for the HUDWindowObserver to be
doing it. Shouldn't the HUDService have its own observer that shuts itself
down? Removing as many inter-dependencies as possible seems like it would
simplify things..."
Comment 1 Mihai Sucan [:msucan] 2011-09-17 12:32:18 PDT
This is going to be fixed by the next WIP patch I'll submit for bug 673148.

Note You need to log in before you can comment on or make changes to this bug.